Bug 500828 - system-config-selinux fails
system-config-selinux fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 502557
  Show dependency treegraph
 
Reported: 2009-05-14 08:45 EDT by Adrin Jalali
Modified: 2010-06-28 08:32 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 502557 (view as bug list)
Environment:
Last Closed: 2010-06-28 08:32:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrin Jalali 2009-05-14 08:45:44 EDT
policycoreutils-gui-2.0.62-12.4.fc11.x86_64

starting system-config-selinux results in:

# system-config-selinux
/usr/share/system-config-selinux/system-config-selinux.py:72: Warning: IA__g_object_get_valist: object class `GnomeProgram' has no property named `default-icon'
  xml = gtk.glade.XML ("/usr/share/system-config-selinux/system-config-selinux.glade", domain=PROGNAME)
Traceback (most recent call last):
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 188, in <module>
    app = childWindow()
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 91, in __init__
    self.add_page(portsPage.portsPage(xml))
  File "/usr/share/system-config-selinux/portsPage.py", line 69, in __init__
    self.load()
  File "/usr/share/system-config-selinux/portsPage.py", line 136, in load
    self.store.set_value(iter, PROTOCOL_COL, k[2])
IndexError: tuple index out of range
Comment 1 Daniel Walsh 2009-05-14 09:05:07 EDT
Fixed in policycoreutils-gui-2.0.62-12.5.fc11.x86_64
Comment 2 Brad Smith 2009-05-25 15:15:31 EDT
For what it is worth I also get this error in FC 10 with policycoreutils-gui-2.0.57-21.fc10.x86_64 

The end result is that i cannot start the SELinux Management tool from the System | Administation menu nor from the command line.

Thanks

Brad
Comment 3 Victor Bogado 2009-05-25 19:38:49 EDT
Iḿ getting the same problem with version policycoreutils-gui-2.0.57-21.fc10.x86_64
Comment 4 zouxiaogang 2009-05-27 12:56:18 EDT
After update (2009-05-24)
maybe:
selinux-policy-targeted-3.5.13-59.fc10.noarch
selinux-policy-3.5.13-59.fc10.noarch

root run system-config-selinux

# system-config-selinux
/usr/share/system-config-selinux/system-config-selinux.py:72: Warning: IA__g_object_get_valist: object class `GnomeProgram' has no property named `default-icon'
xml = gtk.glade.XML ("/usr/share/system-config-selinux/system-config-selinux.glade", domain=PROGNAME)
Traceback (most recent call last):
File "/usr/share/system-config-selinux/system-config-selinux.py", line 188, in <module>
app = childWindow()
File "/usr/share/system-config-selinux/system-config-selinux.py", line 91, in __init__
self.add_page(portsPage.portsPage(xml))
File "/usr/share/system-config-selinux/portsPage.py", line 69, in __init__
self.load()
File "/usr/share/system-config-selinux/portsPage.py", line 136, in load
self.store.set_value(iter, PROTOCOL_COL, k[2])
IndexError: tuple index out of range

thanks!
Comment 5 Miroslav Grepl 2009-05-27 13:04:59 EDT
This issue is also fixed in policycoreutils-2.0.57-22.fc10
Comment 6 Ben Engbers 2009-06-02 07:11:31 EDT
How can I implement this patch (policycoreutils-2.0.57-22.fc10)?
yum update policycoreutils reports that no packagers are marked up for update.

Ben
Comment 7 Daniel Walsh 2009-06-02 08:33:37 EDT
Try --enablerepo=updates-testing
Comment 8 Miroslav Grepl 2009-06-02 10:56:47 EDT
It has been pushed to stable before a while and I believe that it will be available soon from updates repo. 

But you can try the option that Dan mentioned above. It should work yet.
Comment 9 zouxiaogang 2009-06-02 11:12:32 EDT
policycoreutils-2.0.57-22.fc10 is unstable now. And so on.
Comment 10 Ben Engbers 2009-06-03 16:08:58 EDT
Might be that this version is unstable but after 'yum update policycoreutils --enablerepo=updates-testing' system-config-selinux works again.

Thanks
Comment 11 zouxiaogang 2009-06-04 04:38:11 EDT
policycoreutils-2.0.57-22.fc10  was already the stable edition now.
Comment 12 Bug Zapper 2009-06-09 11:49:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Athmane Madjoudj 2009-11-06 17:05:18 EST
The same problem here.

System: Fedora 11 x86

Error Message:

# system-config-selinux 
/usr/share/system-config-selinux/system-config-selinux.py:72: Warning: IA__g_object_get_valist: object class `GnomeProgram' has no property named `default-icon'
  xml = gtk.glade.XML ("/usr/share/system-config-selinux/system-config-selinux.glade", domain=PROGNAME)
Traceback (most recent call last):
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 188, in <module>
    app = childWindow()
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 86, in __init__
    self.add_page(booleansPage.booleansPage(xml))
  File "/usr/share/system-config-selinux/booleansPage.py", line 139, in __init__
    self.load(self.filter)
  File "/usr/share/system-config-selinux/booleansPage.py", line 202, in load
    booleansList = self.booleans.get_all(self.local)
  File "/usr/lib/python2.6/site-packages/seobject.py", line 1863, in get_all
    value.append(selinux.security_get_boolean_pending(name))
OSError: [Errno 2] No such file or directory



Packages Version:

checkpolicy-2.0.19-2.fc11.i586
policycoreutils-2.0.62-12.14.fc11.i586
policycoreutils-gui-2.0.62-12.14.fc11.i586
policycoreutils-python-2.0.62-12.14.fc11.i586
libselinux-2.0.80-1.fc11.i586
libselinux-devel-2.0.80-1.fc11.i586
libselinux-python-2.0.80-1.fc11.i586
libselinux-utils-2.0.80-1.fc11.i586
selinux-doc-1.26-4.noarch
selinux-policy-3.6.12-86.fc11.noarch
selinux-policy-targeted-3.6.12-86.fc11.noarch


NB:
When i used fedora 10 system-config-selinux worked fine.
Comment 14 Miroslav Grepl 2009-11-11 11:38:12 EST
What says 'sestatus' ?
Comment 15 Athmane Madjoudj 2009-11-11 12:39:07 EST
In my case:

$ sestatus

SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   permissive
Mode from config file:          permissive
Policy version:                 24
Policy from config file:        targeted
Comment 16 Miroslav Grepl 2009-11-11 13:57:32 EST
That's ok. Could you also try to execute

yum reinstall selinux-policy-targeted policycoreutils-\*
Comment 17 Athmane Madjoudj 2009-11-11 14:22:22 EST
No luck 
I re-installed selinux-policy-targeted and policycoreutils-\*  as indicated above but the problem still persist.
Comment 18 Daniel Walsh 2009-11-11 17:08:15 EST
I think it would probably be best to tar up /etc/selinux and send it to us so we could see what is going on.

Email to dwalsh@redhat.com.
Comment 19 Athmane Madjoudj 2009-11-12 03:40:25 EST
i have sent my /etc/selinux as suggested.

also, i have a fresh installation of fedora 12 beta (a vm) and system-config-selinux work fine i get only one warning.

# system-config-selinux 

/usr/share/system-config-selinux/system-config-selinux.py:72: Warning:
IA__g_object_get_valist: object class `GnomeProgram' has no property named
`default-icon'
  xml = gtk.glade.XML
("/usr/share/system-config-selinux/system-config-selinux.glade",
domain=PROGNAME)

i think that enabling updates testing can solve this (f11 bug), but this is my production laptop, so i will wait for fedora 12.
Comment 20 Daniel Walsh 2009-11-12 09:43:21 EST
I installed your /etc/selinux on a fully updated F11 system and I have no problems running system-config-selinux.

I am using a slightly newer -15 policycoreutils
Comment 21 Athmane Madjoudj 2009-11-13 06:52:55 EST
Solved after doing this:

setenforce 0
mv /etc/selinux/targeted /etc/selinux/targeted.old
yum --enablerepo=updates-testing reinstall selinux-policy-targted
restorecon -R -v /etc



Now system-config-selinux work fire!

# system-config-selinux 

/usr/share/system-config-selinux/system-config-selinux.py:72: Warning:
IA__g_object_get_valist: object class `GnomeProgram' has no property named
`default-icon'
  xml = gtk.glade.XML
("/usr/share/system-config-selinux/system-config-selinux.glade",
domain=PROGNAME)
Comment 22 Daniel Walsh 2009-11-13 08:05:35 EST
Must have been some strange protection error.
Comment 23 Bug Zapper 2010-04-27 10:19:35 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Bug Zapper 2010-06-28 08:32:30 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.